import {
  __name
} from "./chunk-INDHDMU3.mjs";

// src/center.tsx
import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from "vue";
import { chakra } from "@chakra-ui/vue-system";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CCenter = defineComponent({
  name: "CCenter",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => {
      return _createVNode(chakra.div, _mergeProps({
        "__label": "center",
        "__css": {
          display: "flex",
          alignItems: "center",
          justifyContent: "center"
        }
      }, props, attrs), _isSlot(slots) ? slots : {
        default: () => [slots]
      });
    };
  }
});

export {
  CCenter
};
